Bug 845339 - prefdm no longer runs ~/.xinitrc or ~/.xprofile
prefdm no longer runs ~/.xinitrc or ~/.xprofile
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
16
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-02 13:33 EDT by Rares Vernica
Modified: 2015-08-31 15:25 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 17:12:07 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rares Vernica 2012-08-02 13:33:50 EDT
Description of problem:

  prefdm no longer runs ~/.xinitrc or ~/.xprofile


Version-Release number of selected component (if applicable):

  initscripts-9.34.3-1.fc16.x86_64


How reproducible:

  every time


Steps to Reproduce:

1. Create a ~/.xinitrc file

> cat > ~/.xinitrc
#!/bin/sh

date > /tmp/a

2. Make ~/.xinitrc executable

> chmod +x ~/.xinitrc

3. Create symbolic link to ~/.xprofile

> ln -s ~/.xinitrc ~/.xprofile

  
Actual results:

The /tmp/a file is not created:

> cat /tmp/a
cat: /tmp/a: No such file or directory
Exit 1


Expected results:

> cat /tmp/a
Thu Aug  2 10:26:21 PDT 201


Additional info:
Comment 1 Bill Nottingham 2012-08-02 13:48:33 EDT
I presume you mean 'whatever display manager is run by prefdm.' The prefdm script itself isn't going to run your xsession.

What display manager are you using?
Comment 2 Rares Vernica 2012-08-02 15:12:49 EDT
You are right. Thanks for clarifying this.

I am using Gnome.
Comment 3 Ray Strode [halfline] 2012-08-02 15:36:22 EDT
Hi,

I believe ~/.xinitrc is only sourced if you use xinit to start X (e.g. run startx)

Upstream GDM does support sourcing .xprofile but we don't use the upstream gdm Xsession file. Instead we use the one shipped in xorg-x11-xinit.  Reassigning to xorg-x11-xinit.

Note, at login time gdm execs exactly one login shell, so you can put stuff in ~/.bash_profile if you want (probably guarded by if [ -n "$DISPLAY ]; )

More commonly bug reports have users requesting access to ~/.xsession or ~/.Xclients . To enable that functionality can:

1) install xorg-x11-xinit-session
2) choose "User script" from the session selector in GDM
Comment 4 Fedora End Of Life 2013-01-16 12:28:57 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Fedora End Of Life 2013-02-13 17:12:11 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 6 Derek Martin 2015-06-25 14:04:40 EDT
.xinitrc is for sessions started via xinit.  For sessions started by a display manager, use .xsession instead.  Put environment variables in .bashrc (which bash will source automatically) rather than .(bash_)profile and have .xsession source that file.

Note You need to log in before you can comment on or make changes to this bug.